<?php

class apiCall {

	private $_name, $_get, $_post, $_execResult, $_execResultString;

	function __construct ($get = null, $post = null, $files = null) {
		$this->_name = 'FpgaGetVersion';
		$this->_get = $get;
		$this->_post = $post;
		$this->_execResult = true;
		$this->_execResultString = 'success';
	}

	function execute () {

		if (!file_exists('/proc/FPGA_VERSION')) {
			$this->_execResultString = 'error';
			$this->_execResult = false;
			return($this->_execResult);
		}

		$this->_execResultString .= ':' . trim(file_get_contents('/proc/FPGA_VERSION'));

		return($this->_execResult);
	}

	function display () {
		return($this->_name . ':' . $this->_execResultString);
	}
}

?>
